QXmpp: QXmppJingleRtpDescription Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppJingleRtpDescription Class Reference

Represents a description for XEP-0167: Jingle RTP Sessions, including media type, streaming source, namespace and payload types. More...

## Public Member Functions
| QXmppJingleRtpDescription (const QString &media, quint32 ssrc=0, const QList< QXmppJinglePayloadType > &payloadTypes={})
QString | media () const
void | setMedia (const QString &media)
quint32 | ssrc () const
void | setSsrc (quint32 ssrc)
void | addPayloadType (const QXmppJinglePayloadType &payload)
const QList< QXmppJinglePayloadType > & | payloadTypes () const
void | setPayloadTypes (const QList< QXmppJinglePayloadType > &payloadTypes)

## Detailed Description

Represents a description for XEP-0167: Jingle RTP Sessions, including media type, streaming source, namespace and payload types.

Since
  QXmpp 1.6

## Constructor & Destructor Documentation

## ◆ QXmppJingleRtpDescription()

QXmppJingleRtpDescription::QXmppJingleRtpDescription | ( | const QString & | media,
|  | quint32 | ssrc = 0,
|  | const QList< QXmppJinglePayloadType > & | payloadTypes = {} )

Default constructor

Since
  QXmpp 1.14

## Member Function Documentation

## ◆ addPayloadType()

void QXmppJingleRtpDescription::addPayloadType | ( | const QXmppJinglePayloadType & | payload | ) |

Adds a payload type to the list of payload types.

## ◆ media()

QString QXmppJingleRtpDescription::media | ( |  | ) | const

Returns the media type.

## ◆ payloadTypes()

const QList< QXmppJinglePayloadType > & QXmppJingleRtpDescription::payloadTypes | ( |  | ) | const

Returns a list of payload types.

## ◆ setMedia()

void QXmppJingleRtpDescription::setMedia | ( | const QString & | media | ) |

Sets the media type.

## ◆ setPayloadTypes()

void QXmppJingleRtpDescription::setPayloadTypes | ( | const QList< QXmppJinglePayloadType > & | payloadTypes | ) |

Sets the list of payload types.

## ◆ setSsrc()

void QXmppJingleRtpDescription::setSsrc | ( | quint32 | ssrc | ) |

Sets the streaming source.

## ◆ ssrc()

quint32 QXmppJingleRtpDescription::ssrc | ( |  | ) | const

Returns the streaming source.

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp